Send Location
curl --request POST \
--url https://api.zapkey.io/message/sendLocation/{instance} \
--header 'Content-Type: application/json' \
--header 'apikey: <api-key>' \
--data '
{
"number": "<string>",
"locationMessage": {
"latitude": 123,
"longitude": 123,
"name": "<string>",
"address": "<string>"
},
"options": {
"delay": 123,
"presence": "composing"
}
}
'import requests
url = "https://api.zapkey.io/message/sendLocation/{instance}"
payload = {
"number": "<string>",
"locationMessage": {
"latitude": 123,
"longitude": 123,
"name": "<string>",
"address": "<string>"
},
"options": {
"delay": 123,
"presence": "composing"
}
}
headers = {
"apikey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {apikey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
number: '<string>',
locationMessage: {latitude: 123, longitude: 123, name: '<string>', address: '<string>'},
options: {delay: 123, presence: 'composing'}
})
};
fetch('https://api.zapkey.io/message/sendLocation/{instance}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"key": {
"remoteJid": "553198296801@s.whatsapp.net",
"fromMe": true,
"id": "BAE51B6FF4470AF9"
},
"message": {
"locationMessage": {
"degreesLatitude": -19.93359,
"degreesLongitude": -43.93851,
"name": "Palácio da Liberdade",
"address": "Praça da Liberdade, Belo Horizonte, MG 30140-050",
"contextInfo": {}
}
},
"messageTimestamp": "1717779606",
"status": "PENDING"
}Enviar Mensagens
Send Location
Send Location
POST
/
message
/
sendLocation
/
{instance}
Send Location
Authorizations
Your authorization key header
Path Parameters
ID of the instance to connect
Body
application/json
Response
201 - application/json
Created
The key of the message, which identifies the message in the chat.
Show child attributes
Show child attributes
The message content, which may include various types of messages like text, images, location, etc.
Show child attributes
Show child attributes
The timestamp of the message, represented as a string.
The status of the message, such as sent, received, or pending.